Inline text is a block of SVG text with the same font. Each block can contain either text or an svg (vex) glyph. Each block in the text has its own metrics so we can support inline svg text editors (cursor).

### Hierarchy

- SuiInlineText

## Index

### Constructors

- constructor

### Methods

- _calculateBlockIndex

## Constructors

### constructor

- new SuiInlineText(params: SuiInlineTextParams): SuiInlineText

- - Defined in src/render/sui/textRender.ts:199

  #### Parameters

  - ##### params: SuiInlineTextParams

  #### Returns SuiInlineText

## Methods

### _calculateBlockIndex

- _calculateBlockIndex(): void

- - Defined in src/render/sui/textRender.ts:284

  Based on the font metrics, compute the width of the strings and glyph that make up this block

  #### Returns void

Generated using TypeDoc